import React, { useState } from 'react';
import { Button, Input } from 'antd';
import SelectBookLink from './selectBookLink';

interface SelectBookLinkButtonProps {
    mpAccountId: number | null
    bookPlatForm: TASK_CREATE.BookPlatFormProps[]
    linkData: { [x: string]: any }[]
    onChange: (linkStr: string) => void
}

const SelectBookLinkButton: React.FC<SelectBookLinkButtonProps> = ({ mpAccountId, bookPlatForm, linkData, onChange }) => {

    /********************************/
    const [visible, setVisible] = useState<boolean>(false)
    const [linkStr, setLinkStr] = useState<string>()
    /********************************/

    return <div style={{ display: 'flex', gap: 4, alignItems: 'flex-end' }}>
        <Input.TextArea
            placeholder="请输入链接"
            allowClear
            value={linkStr}
            onChange={e => {
                setLinkStr(e.target.value)
                onChange(e.target.value)
            }}
        />
        <Button type="link" style={{ padding: 0 }} onClick={() => setVisible(true)}>
            选择链接
        </Button>
        {visible && <SelectBookLink
            mpAccountId={mpAccountId}
            bookPlatForm={bookPlatForm}
            visible={visible}
            linkData={linkData}
            onClose={() => setVisible(false)}
            onChange={(linkStr) => {
                console.log('linkStr', linkStr)
                setLinkStr(linkStr)
                onChange(linkStr)
                setVisible(false)
            }}
        />}
    </div>
};

export default SelectBookLinkButton;